module Dsc
  module Auto
    module HttpClient

      def parse_json(_json_string, _options = {})
        fail_msg = _options[:failure_message] || _options[:path] || "parse_json failed trying to parse #{_json_string}"
        begin
          JSON.parse(_json_string)
        rescue JSON::ParserError => e
          full_fail_msg = "ERROR \r\n #{fail_msg} \r\n \
          .parse_json expected param to be json, \
               instead was #{_json_string} \r\n \
          #{e.message} \r\n #{e.backtrace[0..5].join("\r\n")}"
          raise(JSON::ParserError, full_fail_msg, caller )
        end
      end # self.parse_json




    end
  end
end